Skip to main content

POST /v1/auth/register

Register a new user account. Request:
Response (201):

POST /v1/auth/login

Authenticate and receive a Bearer token. Request:
Response (200):
Rate limit: 5 requests / minute

POST /v1/auth/logout

Revoke the current device’s token. Requires authentication. Response (200):

POST /v1/auth/logout-all

Revoke all tokens for the authenticated user (logout from all devices). Response (200):

POST /v1/auth/forgot-password

Request a password reset email. Request:
Response (200):
Rate limit: 3 requests / minute

POST /v1/auth/reset-password

Reset password using the token from the reset email. Request:
Response (200):

POST /v1/auth/verify-email

Verify email address using the token from the verification email. Request:

POST /v1/auth/resend-verification

Resend the email verification link. Requires authentication. Rate limit: 6 requests / minute Response (200):

GET /v1/status

API health check. Returns 200 if the API is operational. No authentication required. Response (200):